Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.nc
Class NameClassWalker

    java.lang.Object
      org.kohsuke.rngom.nc.NameClassWalker

All Implemented Interfaces:
  NameClassVisitor<java.lang.Void>

    public class NameClassWalker

extends java.lang.Object
implements NameClassVisitor<java.lang.Void>

Author:
  Kohsuke Kawaguchi

Constructor Summary
`NameClassWalker()`

Method Summary
`java.lang.Void` | `visitAnyName()` Called for `NameClass.ANY`
`java.lang.Void` | `visitAnyNameExcept(NameClass nc)` Called for `AnyNameExceptNameClass`
`java.lang.Void` | `visitChoice(NameClass nc1, NameClass nc2)` Called for `ChoiceNameClass`
`java.lang.Void` | `visitName(javax.xml.namespace.QName name)` Called for `SimpleNameClass`
`java.lang.Void` | `visitNsName(java.lang.String ns)` Called for `NsNameClass`
`java.lang.Void` | `visitNsNameExcept(java.lang.String ns, NameClass nc)` Called for `NsNameExceptNameClass`
`java.lang.Void` | `visitNull()` Called for `NameClass.NULL`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameClassWalker

    public NameClassWalker()

Method Detail

### visitChoice

    public java.lang.Void visitChoice(NameClass nc1,
                                      NameClass nc2)

  Description copied from interface: `NameClassVisitor`
  Called for `ChoiceNameClass`

  Specified by:
    `visitChoice` in interface `NameClassVisitor<java.lang.Void>`

### visitNsName

    public java.lang.Void visitNsName(java.lang.String ns)

  Description copied from interface: `NameClassVisitor`
  Called for `NsNameClass`

  Specified by:
    `visitNsName` in interface `NameClassVisitor<java.lang.Void>`

### visitNsNameExcept

    public java.lang.Void visitNsNameExcept(java.lang.String ns,
                                            NameClass nc)

  Description copied from interface: `NameClassVisitor`
  Called for `NsNameExceptNameClass`

  Specified by:
    `visitNsNameExcept` in interface `NameClassVisitor<java.lang.Void>`

### visitAnyName

    public java.lang.Void visitAnyName()

  Description copied from interface: `NameClassVisitor`
  Called for `NameClass.ANY`

  Specified by:
    `visitAnyName` in interface `NameClassVisitor<java.lang.Void>`

### visitAnyNameExcept

    public java.lang.Void visitAnyNameExcept(NameClass nc)

  Description copied from interface: `NameClassVisitor`
  Called for `AnyNameExceptNameClass`

  Specified by:
    `visitAnyNameExcept` in interface `NameClassVisitor<java.lang.Void>`

### visitName

    public java.lang.Void visitName(javax.xml.namespace.QName name)

  Description copied from interface: `NameClassVisitor`
  Called for `SimpleNameClass`

  Specified by:
    `visitName` in interface `NameClassVisitor<java.lang.Void>`

### visitNull

    public java.lang.Void visitNull()

  Description copied from interface: `NameClassVisitor`
  Called for `NameClass.NULL`.

  Specified by:
    `visitNull` in interface `NameClassVisitor<java.lang.Void>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD